<h1 mat-dialog-title>{{data.name}}</h1>
<div mat-dialog-content>
    <p>Are you sure you'd like to delete this Rocket Node?</p>
</div>
<div mat-dialog-actions>
    <button mat-flat-button (click)="onCancelClick()">CANCEL</button>
    <button mat-flat-button color="warn" [mat-dialog-close]="data">YES</button>
</div>